Vulnerability Name:

CVE-2009-0900

Assigned:2009-06-05
Published:2009-06-05
Updated:2017-08-16
Summary:Heap-based buffer overflow in the client in IBM WebSphere MQ 6.0 before 6.0.2.7 and 7.0 before 7.0.1.0 allows local users to gain privileges via crafted SSL information in a Client Channel Definition Table (CCDT) file.
CVSS v3 Severity:4.2 Medium (CCN CVSS v3 Vector: CVSS:3.0/AV:L/AC:H/PR:L/UI:R/S:U/C:L/I:L/A:L)
Exploitability Metrics:Attack Vector (AV): Local
Attack Complexity (AC): High
Privileges Required (PR): Low
User Interaction (UI): Required
Scope:Scope (S): Unchanged
Impact Metrics:Confidentiality (C): Low
Integrity (I): Low
Availibility (A): Low
CVSS v2 Severity:4.1 Medium (CVSS v2 Vector: AV:L/AC:M/Au:S/C:P/I:P/A:P)
3.0 Low (Temporal CVSS v2 Vector: AV:L/AC:M/Au:S/C:P/I:P/A:P/E:U/RL:OF/RC:C)
Exploitability Metrics:Access Vector (AV): Local
Access Complexity (AC): Medium
Authentication (Au): Single_Instance
Impact Metrics:Confidentiality (C): Partial
Integrity (I): Partial
Availibility (A): Partial
4.1 Medium (CCN CVSS v2 Vector: AV:L/AC:M/Au:S/C:P/I:P/A:P)
3.0 Low (CCN Temporal CVSS v2 Vector: AV:L/AC:M/Au:S/C:P/I:P/A:P/E:U/RL:OF/RC:C)
Exploitability Metrics:Access Vector (AV): Local
Access Complexity (AC): Medium
Athentication (Au): Single_Instance
Impact Metrics:Confidentiality (C): Partial
Integrity (I): Partial
Availibility (A): Partial
Vulnerability Type:CWE-119
References:Source: AIXAPAR
Type: UNKNOWN
IC59375

Source: XF
Type: UNKNOWN
websphere-mq-client-ccdt-bo(51038)

Vulnerable Configuration:Configuration 1:
  • cpe:/a:ibm:websphere_mq:6.0.2.2:*:*:*:*:*:*:*
  • OR cpe:/a:ibm:websphere_mq:6.0.2.1:*:*:*:*:*:*:*
  • OR cpe:/a:ibm:websphere_mq:6.0.2.4:*:*:*:*:*:*:*
  • OR cpe:/a:ibm:websphere_mq:6.0.2.3:*:*:*:*:*:*:*
  • OR cpe:/a:ibm:websphere_mq:6.0.1.1:*:*:*:*:*:*:*
  • OR cpe:/a:ibm:websphere_mq:6.0.1.0:*:*:*:*:*:*:*
  • OR cpe:/a:ibm:websphere_mq:6.0.2.5:*:*:*:*:*:*:*
  • OR cpe:/a:ibm:websphere_mq:6.0:*:*:*:*:*:*:*
  • OR cpe:/a:ibm:websphere_mq:6.0.2.0:*:*:*:*:*:*:*
  • OR cpe:/a:ibm:websphere_mq:6.0.2.10:*:*:*:*:*:*:*
  • OR cpe:/a:ibm:websphere_mq:6.0.2.6:*:*:*:*:*:*:*

  • Configuration 2:
  • cpe:/a:ibm:websphere_mq:7.0:*:*:*:*:*:*:*
  • OR cpe:/a:ibm:websphere_mq:7.0.0.1:*:*:*:*:*:*:*
  • OR cpe:/a:ibm:websphere_mq:7.0.0.2:*:*:*:*:*:*:*

  • Configuration CCN 1:
  • cpe:/a:ibm:websphere_mq:6.0:*:*:*:*:*:*:*
  • OR cpe:/a:ibm:websphere_mq:7.0:*:*:*:*:*:*:*

  • * Denotes that component is vulnerable
    BACK
    ibm websphere mq 6.0.2.2
    ibm websphere mq 6.0.2.1
    ibm websphere mq 6.0.2.4
    ibm websphere mq 6.0.2.3
    ibm websphere mq 6.0.1.1
    ibm websphere mq 6.0.1.0
    ibm websphere mq 6.0.2.5
    ibm websphere mq 6.0
    ibm websphere mq 6.0.2.0
    ibm websphere mq 6.0.2.10
    ibm websphere mq 6.0.2.6
    ibm websphere mq 7.0
    ibm websphere mq 7.0.0.1
    ibm websphere mq 7.0.0.2
    ibm websphere mq 6.0
    ibm websphere mq 7.0